package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWFAV4 extends MwfRequest<MWFAV4, MWFAV4Response> {

    @Parameter(name = "AktivacniHeslo")
    MWFAV4 aktivacniHeslo(String aktivacniHeslo);
    @Parameter(name = "AutorizacniLimit_Bezhotovostni")
    MWFAV4 autorizacniLimitBezhotovostni(Double autorizacniLimitBezhotovostni);
    @Parameter(name = "AutorizacniLimit_Hotovost")
    MWFAV4 autorizacniLimitHotovost(Double autorizacniLimitHotovost);
    @Parameter(name = "AutorizacniLimit_Internet")
    MWFAV4 autorizacniLimitInternet(Double autorizacniLimitInternet);
    @Parameter(name = "AutorizacniLimit_Typ")
    MWFAV4 autorizacniLimitTyp(String autorizacniLimitTyp);
    @Parameter(name = "AvonLadyID")
    MWFAV4 avonLadyID(String avonLadyID);
    @Parameter(name = "AvonLadyIDDop")
    MWFAV4 avonLadyIDDop(String avonLadyIDDop);
    @Parameter(name = "BUCisloUctu")
    MWFAV4 bUCisloUctu(String bUCisloUctu);
    @Parameter(name = "BUKodBanky")
    MWFAV4 bUKodBanky(String bUKodBanky);
    @Parameter(name = "BUMena")
    MWFAV4 bUMena(String bUMena);
    @Parameter(name = "BUPeriodaVypisu")
    MWFAV4 bUPeriodaVypisu(String bUPeriodaVypisu);
    @Parameter(name = "BUProduktKod")
    MWFAV4 bUProduktKod(String bUProduktKod);
    @Parameter(name = "BUSpecifickySymbol")
    MWFAV4 bUSpecifickySymbol(String bUSpecifickySymbol);
    @Parameter(name = "BUVariabilniSymbol")
    MWFAV4 bUVariabilniSymbol(String bUVariabilniSymbol);
    @Parameter(name = "BUZalozitNovyUcet")
    MWFAV4 bUZalozitNovyUcet(String bUZalozitNovyUcet);
    @Parameter(name = "BU_KEY")
    MWFAV4 buKey(Long buKey);
    @Parameter(name = "Benefit")
    MWFAV4 benefit(String benefit);
    @Parameter(name = "BrandKarty")
    MWFAV4 brandKarty(String brandKarty);
    @Parameter(name = "CastkaPrvnihoCerpani")
    MWFAV4 castkaPrvnihoCerpani(Long castkaPrvnihoCerpani);
    @Parameter(name = "CelkovaSplatnaCastka")
    MWFAV4 celkovaSplatnaCastka(Double celkovaSplatnaCastka);
    @Parameter(name = "Channel_ID")
    MWFAV4 channelID(String channelID);
    @Parameter(name = "CisloPojisteniING")
    MWFAV4 cisloPojisteniING(String cisloPojisteniING);
    @Parameter(name = "CisloSmlouvyVarianty")
    MWFAV4 cisloSmlouvyVarianty(String cisloSmlouvyVarianty);
    @Parameter(name = "CobrandKarty")
    MWFAV4 cobrandKarty(String cobrandKarty);
    @Parameter(name = "DatumPodpisuZadosti")
    MWFAV4 datumPodpisuZadosti(java.util.Date datumPodpisuZadosti);
    @Parameter(name = "DatumPodpisuZadosti_Kuryr")
    MWFAV4 datumPodpisuZadostiKuryr(java.util.Date datumPodpisuZadostiKuryr);
    @Parameter(name = "DatumPrepoctuUroku")
    MWFAV4 datumPrepoctuUroku(java.util.Date datumPrepoctuUroku);
    @Parameter(name = "DatumPrvniSplatky")
    MWFAV4 datumPrvniSplatky(java.util.Date datumPrvniSplatky);
    @Parameter(name = "DenInkasniSplatky")
    MWFAV4 denInkasniSplatky(String denInkasniSplatky);
    @Parameter(name = "DenZuctovacihoObdobi")
    MWFAV4 denZuctovacihoObdobi(Long denZuctovacihoObdobi);
    @Parameter(name = "DesignKarty")
    MWFAV4 designKarty(String designKarty);
    @Parameter(name = "DruhBusinessu")
    MWFAV4 druhBusinessu(String druhBusinessu);
    @Parameter(name = "IB_ACCES_TYPE")
    MWFAV4 ibAccesType(String ibAccesType);
    @Parameter(name = "IB_SIGN_TYPE")
    MWFAV4 ibSignType(String ibSignType);
    @Parameter(name = "IDXselloveKampane")
    MWFAV4 iDXselloveKampane(String iDXselloveKampane);
    @Parameter(name = "IP_ADDRESS")
    MWFAV4 ipAddress(String ipAddress);
    @Parameter(name = "IdVLSBalicku")
    MWFAV4 idVLSBalicku(String idVLSBalicku);
    @Parameter(name = "InfolimitTyp")
    MWFAV4 infolimitTyp(String infolimitTyp);
    @Parameter(name = "Infolimit_ZavaznyPlatnost")
    MWFAV4 infolimitZavaznyPlatnost(java.util.Date infolimitZavaznyPlatnost);
    @Parameter(name = "Infolimit_ZavaznyVyse")
    MWFAV4 infolimitZavaznyVyse(Double infolimitZavaznyVyse);
    @Parameter(name = "KodProduktu")
    MWFAV4 kodProduktu(String kodProduktu);
    @Parameter(name = "KodProduktuSales")
    MWFAV4 kodProduktuSales(String kodProduktuSales);
    @Parameter(name = "Mena")
    MWFAV4 mena(String mena);
    @Parameter(name = "MesicniSplatka")
    MWFAV4 mesicniSplatka(Double mesicniSplatka);
    @Parameter(name = "MigraceBU_Flag")
    MWFAV4 migraceBUFlag(String migraceBUFlag);
    @Parameter(name = "ObchodniMistoKod")
    MWFAV4 obchodniMistoKod(String obchodniMistoKod);
    @Parameter(name = "OdkladSplatek")
    MWFAV4 odkladSplatek(String odkladSplatek);
    @Parameter(name = "PocetSplatek")
    MWFAV4 pocetSplatek(Long pocetSplatek);
    @Parameter(name = "Pojisteni")
    MWFAV4 pojisteni(String pojisteni);
    @Parameter(name = "PojisteniPoplatek")
    MWFAV4 pojisteniPoplatek(Double pojisteniPoplatek);
    @Parameter(name = "PojisteniProtiZneuziti")
    MWFAV4 pojisteniProtiZneuziti(String pojisteniProtiZneuziti);
    @Parameter(name = "PojisteniVycerpaneCastky")
    MWFAV4 pojisteniVycerpaneCastky(String pojisteniVycerpaneCastky);
    @Parameter(name = "PoplatkovyPlan")
    MWFAV4 poplatkovyPlan(String poplatkovyPlan);
    @Parameter(name = "PovoleniInetTransakci")
    MWFAV4 povoleniInetTransakci(String povoleniInetTransakci);
    @Parameter(name = "PracovnikMTSID")
    MWFAV4 pracovnikMTSID(String pracovnikMTSID);
    @Parameter(name = "PrimarniUrednikID")
    MWFAV4 primarniUrednikID(String primarniUrednikID);
    @Parameter(name = "PrimarniUrednikJmeno")
    MWFAV4 primarniUrednikJmeno(String primarniUrednikJmeno);
    @Parameter(name = "PrimarniUrednikPrijmeni")
    MWFAV4 primarniUrednikPrijmeni(String primarniUrednikPrijmeni);
    @Parameter(name = "PrimarniUrednikSSO")
    MWFAV4 primarniUrednikSSO(String primarniUrednikSSO);
    @Parameter(name = "PrimarniUrednik_KEY")
    MWFAV4 primarniUrednikKEY(Long primarniUrednikKEY);
    @Parameter(name = "PromoAkce")
    MWFAV4 promoAkce(String promoAkce);
    @Parameter(name = "RPSN")
    MWFAV4 rpsn(Double rpsn);
    @Parameter(name = "RazitkoObchodniZastupce")
    MWFAV4 razitkoObchodniZastupce(Long razitkoObchodniZastupce);
    @Parameter(name = "RetentcniProgramFlag")
    MWFAV4 retentcniProgramFlag(String retentcniProgramFlag);
    @Parameter(name = "RocniUrokovaSazbaCASH")
    MWFAV4 rocniUrokovaSazbaCASH(Double rocniUrokovaSazbaCASH);
    @Parameter(name = "SouhlasOPKCestovniPojisteniFlag")
    MWFAV4 souhlasOPKCestovniPojisteniFlag(String souhlasOPKCestovniPojisteniFlag);
    @Parameter(name = "SouhlasOPKFlag")
    MWFAV4 souhlasOPKFlag(String souhlasOPKFlag);
    @Parameter(name = "SouhlasOPKPojisteniSchopnostiPlatit")
    MWFAV4 souhlasOPKPojisteniSchopnostiPlatit(String souhlasOPKPojisteniSchopnostiPlatit);
    @Parameter(name = "SouhlasOPKZpusobUhradySplatek")
    MWFAV4 souhlasOPKZpusobUhradySplatek(String souhlasOPKZpusobUhradySplatek);
    @Parameter(name = "TechnologieKarty")
    MWFAV4 technologieKarty(String technologieKarty);
    @Parameter(name = "TypAsistencniSluzby")
    MWFAV4 typAsistencniSluzby(String typAsistencniSluzby);
    @Parameter(name = "TypFormulare")
    MWFAV4 typFormulare(String typFormulare);
    @Parameter(name = "TypKarty")
    MWFAV4 typKarty(String typKarty);
    @Parameter(name = "TypSlevy")
    MWFAV4 typSlevy(String typSlevy);
    @Parameter(name = "UUMenaTopUP")
    MWFAV4 uUMenaTopUP(String uUMenaTopUP);
    @Parameter(name = "UUTopUPCislo")
    MWFAV4 uUTopUPCislo(String uUTopUPCislo);
    @Parameter(name = "UUTopUP_KEY")
    MWFAV4 uUTopUPKEY(Long uUTopUPKEY);
    @Parameter(name = "UcelUveru")
    MWFAV4 ucelUveru(String ucelUveru);
    @Parameter(name = "UrednikFunkce")
    MWFAV4 urednikFunkce(String urednikFunkce);
    @Parameter(name = "UrednikID")
    MWFAV4 urednikID(String urednikID);
    @Parameter(name = "UrednikJmeno")
    MWFAV4 urednikJmeno(String urednikJmeno);
    @Parameter(name = "UrednikPrijmeni")
    MWFAV4 urednikPrijmeni(String urednikPrijmeni);
    @Parameter(name = "UrednikSSO")
    MWFAV4 urednikSSO(String urednikSSO);
    @Parameter(name = "Urednik_KEY")
    MWFAV4 urednikKEY(String urednikKEY);
    @Parameter(name = "UrokovaSazba")
    MWFAV4 urokovaSazba(Double urokovaSazba);
    @Parameter(name = "VariantaTyp")
    MWFAV4 variantaTyp(String variantaTyp);
    @Parameter(name = "Varianta_KEY")
    MWFAV4 variantaKEY(Long variantaKEY);
    @Parameter(name = "VelikostZalohy")
    MWFAV4 velikostZalohy(Double velikostZalohy);
    @Parameter(name = "VernostniProgram")
    MWFAV4 vernostniProgram(String vernostniProgram);
    @Parameter(name = "VypisKeKonciMesice_Flag")
    MWFAV4 vypisKeKonciMesiceFlag(String vypisKeKonciMesiceFlag);
    @Parameter(name = "VysePosledniSplatky")
    MWFAV4 vysePosledniSplatky(Double vysePosledniSplatky);
    @Parameter(name = "VyseUpsellu")
    MWFAV4 vyseUpsellu(Double vyseUpsellu);
    @Parameter(name = "VyseUveru")
    MWFAV4 vyseUveru(Long vyseUveru);
    @Parameter(name = "WEB_BANNER")
    MWFAV4 webBanner(String webBanner);
    @Parameter(name = "WEB_PARTNER_ID")
    MWFAV4 webPartnerId(String webPartnerId);
    @Parameter(name = "ZadostSubtyp")
    MWFAV4 zadostSubtyp(String zadostSubtyp);
    @Parameter(name = "ZadostTyp")
    MWFAV4 zadostTyp(String zadostTyp);
    @Parameter(name = "Zadost_KEY")
    MWFAV4 zadostKEY(Long zadostKEY);
    @Parameter(name = "ZboziCena")
    MWFAV4 zboziCena(Double zboziCena);
    @Parameter(name = "ZboziDruh")
    MWFAV4 zboziDruh(String zboziDruh);
    @Parameter(name = "ZkraceneJmenoNaKarteDrzitel")
    MWFAV4 zkraceneJmenoNaKarteDrzitel(String zkraceneJmenoNaKarteDrzitel);
    @Parameter(name = "ZkraceneJmenoNaKarteFirma")
    MWFAV4 zkraceneJmenoNaKarteFirma(String zkraceneJmenoNaKarteFirma);
    @Parameter(name = "ZpusobDistribucePIN")
    MWFAV4 zpusobDistribucePIN(String zpusobDistribucePIN);
    @Parameter(name = "ZpusobDistribuceVypisu")
    MWFAV4 zpusobDistribuceVypisu(String zpusobDistribuceVypisu);
    @Parameter(name = "ZpusobUhradySplatek")
    MWFAV4 zpusobUhradySplatek(String zpusobUhradySplatek);
}
